# HierarchyBuilderIntervalBased.Interval (ARX API Documentation)

org.deidentifier.arx.aggregates

## Class HierarchyBuilderIntervalBased.Interval<T>

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderIntervalBased.Interval<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    HierarchyBuilderIntervalBased<T>

      public static class HierarchyBuilderIntervalBased.Interval<T>
      extends java.lang.Object

  This class represents an interval.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `AggregateFunction<T>` | `getFunction()`
    `T` | `getMax()`
    `T` | `getMin()`
    `int` | `hashCode()`
    `boolean` | `isNullInterval()` Is this an interval for null values
    `boolean` | `isOutOfBound()` Is this an interval representing values that are out of bounds
    `boolean` | `isOutOfLowerBound()` Is this an interval representing values that are out of the lower bound
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getFunction

          public AggregateFunction<T> getFunction()

      Returns:
        the function

    - #### getMax

          public T getMax()

      Returns:
        the max (inclusive)

    - #### getMin

          public T getMin()

      Returns:
        the min (exclusive)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isNullInterval

          public boolean isNullInterval()

      Is this an interval for null values
      Returns:

    - #### isOutOfBound

          public boolean isOutOfBound()

      Is this an interval representing values that are out of bounds
      Returns:

    - #### isOutOfLowerBound

          public boolean isOutOfLowerBound()

      Is this an interval representing values that are out of the lower bound
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`